@media screen and (max-width: 1380px) {
  .footer__image {
    margin-right: 50px;
  }
}

@media screen and (max-width: 1260px) {
  .header__button-menu.active ~ .header__menu {
    top: 100%;
    opacity: 1;
    z-index: 100;
  }

  .header__button-menu {
    display: block;
    -webkit-box-flex: 0;
    -webkit-flex: 0 1 auto;
    -moz-box-flex: 0;
    -ms-flex: 0 1 auto;
    flex: 0 1 auto;
    -webkit-box-ordinal-group: 4;
    -webkit-order: 3;
    -moz-box-ordinal-group: 4;
    -ms-flex-order: 3;
    order: 3;
    min-width: 0;
    width: auto;
    background: inherit;
    margin-left: 20px;
    padding: 0;
    border-radius: 0;
    box-shadow: none;
  }

  .header__button-menu:hover {
    background: transparent !important;
    color: inherit;
    outline: none;
    box-shadow: none;
  }

  .header__button-menu svg {
    display: block;
    background: transparent;
    margin: 0px;
  }

  .header__button-menu svg rect {
    fill: #fff;
    background: transparent;
    -webkit-transform-origin: 50% 50%;
    -moz-transform-origin: 50% 50%;
    -o-transform-origin: 50% 50%;
    transform-origin: 50% 50%;
    -webkit-transition: all 0.5s;
    -o-transition: all 0.5s;
    -moz-transition: all 0.5s;
    transition: all 0.5s;
  }

  .header__button-menu.active svg rect:nth-child(1) {
    x: -2px;
    y: 6px;
    width: 20px;
    -webkit-transform: rotate(225deg);
    -moz-transform: rotate(225deg);
    -o-transform: rotate(225deg);
    transform: rotate(225deg);
  }

  .header__button-menu.active svg rect:nth-child(2) {
    -webkit-transform-origin: 50% 50%;
    -moz-transform-origin: 50% 50%;
    -o-transform-origin: 50% 50%;
    transform-origin: 50% 50%;
    -webkit-transform: scale(0, 2);
    -moz-transform: scale(0, 2);
    -o-transform: scale(0, 2);
    transform: scale(0, 2);
  }

  .header__button-menu.active svg rect:nth-child(3) {
    x: -2px;
    y: 6px;
    width: 20px;
    -webkit-transform: rotate(135deg);
    -moz-transform: rotate(135deg);
    -o-transform: rotate(135deg);
    transform: rotate(135deg);
  }

  .header__menu {
    position: absolute;
    display: block;
    top: -100vh;
    left: 0px;
    width: 100%;
    height: 100vh;
    max-height: -webkit-calc(100vh - 80px);
    max-height: -moz-calc(100vh - 80px);
    max-height: calc(100vh - 80px);
    padding: 25px;
    margin: 0;
    background-color: #292526;
    overflow: auto;
    scrollbar-width: none;
    text-align: center;
    -webkit-transition: all 0.75s;
    -o-transition: all 0.75s;
    -moz-transition: all 0.75s;
    transition: all 0.75s;
    opacity: 0;
  }

  .header__menu > ul > li,
  .header__menu ul {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -moz-box-orient: vertical;
    -moz-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -moz-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    background-color: transparent;
    margin: 0;
    gap: 0;
  }

  .header__menu img,
  .header__menu li > img {
    display: none;
  }

  .header__menu li {
    font-weight: 600 !important;
    font-size: 16px !important;
  }

  .header__menu > ul > li:hover,
  .header__menu > ul > li:focus {
    background-color: transparent;
    border-radius: 0;
  }

  .header__dropmenu {
    position: relative;
    display: block;
    left: 0;
  }

  .header__dropmenu ul {
    padding: 0;
    border-radius: 0;
  }

  .header__dropmenu li a,
  .header__menu ul > li {
    padding: 0;
    margin-top: 20px;
  }

  .header__logo {
    margin-right: auto;
  }
}

@media screen and (max-width: 1100px) {
  .promo__content {
    padding: 40px 20px;
  }
}

@media screen and (max-width: 1020px) {
  .casino__list {
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -moz-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
  }

  .casino__list li {
    width: -webkit-calc((100% - 20px * 3) / 4);
    width: -moz-calc((100% - 20px * 3) / 4);
    width: calc((100% - 20px * 3) / 4);
  }
}

@media screen and (max-width: 950px) {
  .background img {
    -o-object-position: 80%;
    object-position: 80%;
  }

  .bonus__background img {
    -o-object-position: 60%;
    object-position: 60%;
  }

  .bonus__item {
    padding: 40px 35px;
  }

  .promo__wrap,
  .hero__wrap {
    margin: 0;
    background: rgba(46, 42, 35, 0.6);
    -webkit-backdrop-filter: blur(6px);
    backdrop-filter: blur(6px);
    padding: 10px;
    border-radius: 6px;
  }
}

@media screen and (max-width: 850px) {
  body {
    font-size: 14px;
  }

  h1,
  .title.general {
    font-size: 30px;
  }

  h2,
  .title.high {
    font-size: 22px;
  }

  .title.promo__title {
    font-size: 30px;
  }
  
  .promo__note,
  .bonus__desc {
    font-size: 20px;
  }

  .header__button {
    display: none;
  }

  .header__menu .button.header__button {
    display: block;
    min-width: 200px;
    margin: 20px auto 0 auto;
  }

  .header__content {
    padding: 16px 15px;
  }

  .hero__content {
    padding: 60px 15px;
  }

  .info__list li {
    width: -webkit-calc((100% - 20px) / 2);
    width: -moz-calc((100% - 20px) / 2);
    width: calc((100% - 20px) / 2);
  }

  .bonus__wrap {
    max-width: 480px;
    padding: 20px 20px 20px 35px;
  }
}

@media screen and (max-width: 700px) {
  .casino__list {
    gap: 15px;
  }

  .casino__list li {
    width: -webkit-calc((100% - 15px * 2) / 3);
    width: -moz-calc((100% - 15px * 2) / 3);
    width: calc((100% - 15px * 2) / 3);
  }
}

@media screen and (max-width: 650px) {
  body {
    font-size: 13px;
  }

  h1,
  .title.general {
    font-size: 28px;
  }

  h2,
  .title.high {
    font-size: 20px;
  }

  .title.promo__title {
    font-size: 28px;
  }

  .promo__note,
  .bonus__desc {
    font-size: 18px;
  }

  .bonus__background img {
    -o-object-position: 75%;
    object-position: 75%;
  }

  .footer__menu ul {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -moz-box-orient: vertical;
    -moz-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    gap: 20px;
  }

  .footer__menu li + li {
    border: none;
    padding: 0;
  }

  .footer__wrap {
    -webkit-box-orient: vertical;
    -webkit-box-direction: reverse;
    -webkit-flex-direction: column-reverse;
    -moz-box-orient: vertical;
    -moz-box-direction: reverse;
    -ms-flex-direction: column-reverse;
    flex-direction: column-reverse;
  }

  .footer__copyright {
    margin-left: 0;
  }

  .footer__image {
    margin: 0 auto 20px;
  }
}

@media screen and (max-width: 600px) {
  .header__logo {
    max-width: 120px;
  }

  .header__menu {
    max-height: -webkit-calc(100vh - 60px);
    max-height: -moz-calc(100vh - 60px);
    max-height: calc(100vh - 60px);
  }

  .hero__content {
    margin-top: 60px;
  }

  .hero__wrap {
    padding: 10px;
  }

  .promo__content {
    padding: 40px 15px;
  }

  .promo__wrap {
    padding: 10px;
    margin: 0 auto;
  }
}

@media screen and (max-width: 550px) {
  h1 span::before,
  h1 span::after,
  h2 span::before,
  h2 span::after,
  h3 span::before,
  h3 span::after,
  .promo__label::before,
  .promo__label::after {
    content: none;
  }

  .promo__label,
  h1 span,
  h2 span,
  h3 span {
    padding: 0;
  }

  .info__list li {
    width: 100%;
  }

  .casino__list li {
    width: -webkit-calc((100% - 15px) / 2);
    width: -moz-calc((100% - 15px) / 2);
    width: calc((100% - 15px) / 2);
  }

  .app__buttons {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -moz-box-orient: vertical;
    -moz-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -moz-box-align: center;
    -ms-flex-align: center;
    align-items: center;
  }
}

@media screen and (max-width: 450px) {
  .button.overlay__button {
    min-width: 90px;
    padding: 6px 10px;
    font-weight: 600;
    font-size: 12px;
  }

  .bonus__item {
    padding: 20px 15px 20px 25px;
  }

  .bonus__icon {
    left: -20px;
    width: 40px;
  }

  .bonus__button {
    min-width: 150px;
  }
}
